Subject: [Extra] Document status update

From: Bron Gondwana <[email-masked]>
Date: Fri, 30 Mar 2018 13:24:29 +1100

Hi All,

It's a week since our session in London.  I've been traveling, so haven't updated documents as quickly as promised, so I'm going through everything now.  Here's my recollection/updates on everything:

draft-ietf-extra-imap-64bit-03:
* There's discussion about merging it into IMAP4rev2 rather than having it be a standalone change.
* next-steps: waiting to see what we do with IMAP4rev2.

draft-ietf-extra-imap-list-myrights-02:
* in Working Group Last Call
* has had updates based on WGLC from review, so an -03 will probably be landing soon
* Jiankang is shepherd

draft-ietf-extra-imap-savedate-00:
* status from IETF101 was "more discussion needed on mailing list"
* Both the github issues are about handing "when not supported" and search:
  - https://github.com/ietfextra/tracking/issues/13
  - https://github.com/ietfextra/tracking/issues/21
* next-steps: I'll start a thread for discussion.

draft-ietf-extra-imap-status-size-01:
* in Working Group Last Call
* has had updates based on WGLC from review, so an -02 will probably be landing soon
* I am shepherd 

draft-ietf-extra-sieve-fcc-01:
* status from IETF101 was "one more round on the mailing list after edits, then WGLC"
* discussion led to "yes, syntax is wrong as suspected"
* discussion has not yet resolved:
  - one or many capabilities?
  - what to do for notify actions that don't have a MIME serialisation
* next-steps: I'd like to get this one finished soon, so I'll start a bikeshedding thread for it.

draft-ietf-extra-sieve-special-use-02:
* just needs some examples of equivalent IMAP command sequences to help implementations.
* I will shepherd to WGLC once those are done.

We also agreed to adopt the following documents.  Please note, adoption doesn't mean that we will accept them "as is", it just means that the group agrees that they are within our charter and that we will work on them.  Having said that, two of them are already basically finished, so go comment on the last calls :)

draft-ietf-extra-specialuse-important-00:
* document is now adopted by the working group
* I will take to Working Group Last Call
* I will be shepherd

draft-ietf-extra-imap-unauth-00:
* document is now adopted by the working group
* it seems quite complete, and implementations already exist
* I will take to Working Group Last Call
* I will be shepherd

draft-extra-imap-uniqueid-00:
* document is now adopted by the working group
* there are still some edits required, uploaded -00 is not the finished product
* next steps: I will keep working on it.

draft-melnikov-imap4rev2-07:
* document is now adopted by the working group
* next steps: plenty of work to do here!  Alexey and Barry will co-editor.

Cheers,

Bron.

--
  Bron Gondwana, CEO, FastMail Pty Ltd
  [email-masked]